clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::DiagnosticRelatedInformation Struct Reference

Represents a related message and source code location for a diagnostic. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::DiagnosticRelatedInformation:
[legend]

## Public Attributes
Location | location
| The location of this related diagnostic information. More...
std::string | message
| The message of this related diagnostic information. More...

## Detailed Description

Represents a related message and source code location for a diagnostic.

This should be used to point to code locations that cause or related to a diagnostics, e.g when duplicating a symbol in a scope.

Definition at line 638 of file Protocol.h.

## Member Data Documentation

## ◆ location

Location clang::clangd::DiagnosticRelatedInformation::location

The location of this related diagnostic information.

Definition at line 640 of file Protocol.h.

Referenced by clang::clangd::toLSPDiags().

## ◆ message

std::string clang::clangd::DiagnosticRelatedInformation::message

The message of this related diagnostic information.

Definition at line 642 of file Protocol.h.

Referenced by clang::clangd::toLSPDiags().

The documentation for this struct was generated from the following file:

- Protocol.h